Activity log for bug #1571004

Date Who What changed Old value New value Message
2016-04-15 17:52:49 Scott Moser bug added bug
2016-04-15 18:01:29 Scott Moser cloud-init: importance Undecided Medium
2016-04-15 18:01:29 Scott Moser cloud-init: status New In Progress
2016-04-15 18:01:29 Scott Moser cloud-init: assignee Scott Moser (smoser)
2016-04-15 18:05:31 Launchpad Janitor branch linked lp:cloud-init
2016-04-15 20:30:36 Launchpad Janitor branch linked lp:~smoser/ubuntu/xenial/cloud-init/pkg
2016-06-03 19:40:50 Scott Moser cloud-init: status In Progress Fix Committed
2016-07-21 18:22:25 Joshua Harlow cloud-init: milestone 0.7.7
2016-08-10 05:32:33 Scott Moser cloud-init: status Fix Committed Fix Released
2018-04-20 18:44:31 Scott Moser description Currently cloud-init is applying networking on every boot. On 'local' data sources that provides network information this is great. On any other datasource: * local datasource without networking info * network based datasource then the fallback networking is rendered on every boot. In the scenario: a.) boot instance b.) fallback networking picks eth0.cfg and that is fine c.) attach network device d.) reboot things can get hairy. The suggested change is to only apply the networking configuration once per instance. This is less dynamic and less surprising. ie, if a user modifies /etc/network/interfaces.d/my.cfg and adds to or improves on the fallback (or unconfigures the fallback) then their changes might not interact well. Currently cloud-init is applying networking on every boot. On 'local' data sources that provide network information this is great. On any other datasource:   * local datasource without networking info   * network based datasource then the fallback networking is rendered on every boot. In the scenario:  a.) boot instance  b.) fallback networking picks eth0.cfg and that is fine  c.) attach network device  d.) reboot things can get hairy. The suggested change is to only apply the networking configuration once per instance. This is less dynamic and less surprising. ie, if a user modifies /etc/network/interfaces.d/my.cfg and adds to or improves on the fallback (or unconfigures the fallback) then their changes might not interact well.